Developers

Project structure csv export

GET
/project/projects/{id}/structure-export-csv

Project structure csv export

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Project identifier

Query Parameters

pagination?boolean

Enable or disable pagination

excludeIds[]?array<string>
order[name]?string
Default"asc"
Value in"asc""desc"
status?string
status[]?array<string>
assignedBoardUsers.projectUser?string
assignedBoardUsers.projectUser[]?array<string>
assignedBoardUsers.role?string
assignedBoardUsers.role[]?array<string>
name?string
stage?string
stage[]?array<string>
project?string
project[]?array<string>

Response Body

Board collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/projects/string/structure-export-csv'
Example Response
[  {    "key": "string",    "downloadUrl": "string"  }]